Bug 177694 - [PATCH] japanese/mecab: update to 0.996
Summary: [PATCH] japanese/mecab: update to 0.996
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: TAKATSU Tomonari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-07 18:30 UTC by Yasuhiro Kimura
Modified: 2013-08-11 06:32 UTC (History)
1 user (show)

See Also:


Attachments
patch-ja-mecab (5.18 KB, text/plain)
2013-04-07 18:30 UTC, Yasuhiro Kimura
no flags Details
patch-ja-mecab (5.15 KB, text/plain; charset=Shift_JIS)
2013-04-29 03:51 UTC, Yasuhiro Kimura
no flags Details
patch-ja-mecab (5.91 KB, text/plain; charset=Shift_JIS)
2013-08-10 00:57 UTC, Yasuhiro Kimura
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2013-04-07 18:30:00 UTC
	- Update japanese/mecab and language bindings to 0.996 (maintainers CCed).
	- Take over maintainership of japanese/mecab because current maintainer didn't respond to previous 2 PRs (ports/171413 and ports/175258).
Comment 1 Edwin Groothuis freebsd_committer 2013-04-07 18:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=177694 

Date: Sun, 14 Apr 2013 19:37:44 +0900
Comment 2 Yasuhiro Kimura freebsd_committer 2013-04-29 03:51:12 UTC
Patch for japanese/mecab/Makefile is changed so it uses
'USES=gettext:build' rather than
'BUILD_DEPENDS=...:${PORTSDIR}/devel/gettext' to set build dependency to
gettext. So please commit attached patch instead of original one.

Best Regards.
Comment 3 TAKATSU Tomonari freebsd_committer 2013-05-09 20:27:55 UTC
Hi,

Do you have any reason why you have to drop cmp process from pkg-plist?
See bellow.
http://www.freebsd.org/doc/en/books/porters-handbook/plist-config.html

And, we should remove LICENSE_FILEs because they are in Templates/Licenses.

Thanks,

--
TAKATSU Tomonari
Comment 4 Yasuhiro Kimura freebsd_committer 2013-08-10 00:57:24 UTC
TAKATSU-san,

Sorry for very late response. I was away from net for about 3 months.

(2013/05/10 4:27), TAKATSU Tomonari wrote:
> Do you have any reason why you have to drop cmp process from pkg-plist?
> See bellow.
> http://www.freebsd.org/doc/en/books/porters-handbook/plist-config.html
>
> And, we should remove LICENSE_FILEs because they are in Templates/Licenses.
>
> Thanks,

I have updated patch to fix these issues. Please try attached patch 
instead of previous ones.

Regards.

Comment 5 TAKATSU Tomonari freebsd_committer 2013-08-10 04:00:11 UTC
Responsible Changed
From-To: clsung->tota

I'll take it.
Comment 6 dfilter service freebsd_committer 2013-08-11 06:20:37 UTC
Author: tota
Date: Sun Aug 11 05:20:29 2013
New Revision: 324569
URL: http://svnweb.freebsd.org/changeset/ports/324569

Log:
  - Update to 0.996
  - Pass maintainership to submitter
  - Remove LICENSE_FILE for standard license
  
  PR:		ports/177694
  Submitted by:	Yasuhiro KIMURA <yasu_AT_utahime_DOT_org>

Added:
  head/japanese/mecab/files/
  head/japanese/mecab/files/patch-src_Makefile.am   (contents, props changed)
Modified:
  head/japanese/mecab/Makefile
  head/japanese/mecab/distinfo

Modified: head/japanese/mecab/Makefile
==============================================================================
--- head/japanese/mecab/Makefile	Sun Aug 11 02:21:37 2013	(r324568)
+++ head/japanese/mecab/Makefile	Sun Aug 11 05:20:29 2013	(r324569)
@@ -2,28 +2,28 @@
 # $FreeBSD$
 
 PORTNAME=	mecab
-PORTVERSION=	0.995
+PORTVERSION=	0.996
 CATEGORIES=	japanese textproc
 MASTER_SITES=	GOOGLE_CODE
 
-MAINTAINER=	clsung@FreeBSD.org
+MAINTAINER=	yasu@utahime.org
 COMMENT=	Yet Another Part-of-Speech and Morphological Analyzer
 
 LICENSE=	BSD GPLv2 LGPL21
 LICENSE_COMB=	dual
-LICENSE_FILE_BSD=	${WRKSRC}/BSD
-LICENSE_FILE_GPLv2=	${WRKSRC}/GPL
-LICENSE_FILE_LGPL21=	${WRKSRC}/LGPL
-
-USE_AUTOTOOLS=	libtool
-USES=		iconv
-USE_PERL5_BUILD=	yes
+
+USE_AUTOTOOLS=	autoconf autoheader automake aclocal libtool
+USES=		iconv gettext:build perl5
+USE_PERL5=	build
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 
 CPPFLAGS+=	${PTHREAD_CFLAGS} -I ${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
+ACLOCAL_ARGS=	--system-acdir=${LOCALBASE}/share/aclocal
+AUTOMAKE_ARGS=	--add-missing
+
 MAN1=		mecab.1
 
 PORTDOCS=	AUTHORS README *.html
@@ -34,8 +34,8 @@ OPTIONS_DEFINE=	DOCS
 
 post-patch:
 	${REINPLACE_CMD} -e 's/-lpthread/${PTHREAD_LIBS}/g' \
-			 -e 's/-O3/${CFLAGS}/' ${WRKSRC}/${CONFIGURE_SCRIPT}
-	${REINPLACE_CMD} -e 's/conf_DATA = mecabrc/conf_DATA = mecabrc.dist/' ${WRKSRC}/Makefile.in
+			 -e 's/-O3/${CFLAGS}/' ${WRKSRC}/${CONFIGURE_SCRIPT}.in
+	${REINPLACE_CMD} -e 's/conf_DATA = mecabrc/conf_DATA = mecabrc.dist/' ${WRKSRC}/Makefile.am
 
 post-configure:
 	${CP} ${WRKSRC}/mecabrc ${WRKSRC}/mecabrc.dist

Modified: head/japanese/mecab/distinfo
==============================================================================
--- head/japanese/mecab/distinfo	Sun Aug 11 02:21:37 2013	(r324568)
+++ head/japanese/mecab/distinfo	Sun Aug 11 05:20:29 2013	(r324569)
@@ -1,2 +1,2 @@
-SHA256 (mecab-0.995.tar.gz) = a281cac1a7053c9d16e3885a677398566923d7e4c5fc34654d4ebc6c3b3aa520
-SIZE (mecab-0.995.tar.gz) = 1377686
+SHA256 (mecab-0.996.tar.gz) = e073325783135b72e666145c781bb48fada583d5224fb2490fb6c1403ba69c59
+SIZE (mecab-0.996.tar.gz) = 1398663

Added: head/japanese/mecab/files/patch-src_Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/mecab/files/patch-src_Makefile.am	Sun Aug 11 05:20:29 2013	(r324569)
@@ -0,0 +1,10 @@
+--- src/Makefile.am.orig	2013-01-24 14:35:35.000000000 +0900
++++ src/Makefile.am	2013-04-07 21:39:46.000000000 +0900
+@@ -17,6 +17,7 @@
+ 			feature_index.cpp  feature_index.h  lbfgs.cpp \
+ 			lbfgs.h  learner_tagger.cpp  learner_tagger.h  learner.cpp  \
+ 			learner_node.h libmecab.cpp
++libmecab_la_LIBADD = $(LTLIBICONV)
+ 
+ include_HEADERS = mecab.h
+ bin_PROGRAMS    = mecab
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2013-08-11 06:21:13 UTC
Author: tota
Date: Sun Aug 11 05:21:05 2013
New Revision: 324570
URL: http://svnweb.freebsd.org/changeset/ports/324570

Log:
  - Update to 0.996
  - Remove LICENSE_FILE for standard license
  
  PR:		ports/177694
  Submitted by:	Yasuhiro KIMURA <yasu_AT_utahime_DOT_org>

Modified:
  head/japanese/p5-MeCab/Makefile
  head/japanese/p5-MeCab/distinfo

Modified: head/japanese/p5-MeCab/Makefile
==============================================================================
--- head/japanese/p5-MeCab/Makefile	Sun Aug 11 05:20:29 2013	(r324569)
+++ head/japanese/p5-MeCab/Makefile	Sun Aug 11 05:21:05 2013	(r324570)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	MeCab
-PORTVERSION=	0.995
+PORTVERSION=	0.996
 CATEGORIES=	japanese textproc perl5
 MASTER_SITES=	GOOGLE_CODE
 PROJECTHOST=	${PORTNAME:L}
@@ -13,9 +13,6 @@ COMMENT=	MeCab library module for Perl5
 
 LICENSE=	BSD GPLv2 LGPL21
 LICENSE_COMB=	dual
-LICENSE_FILE_BSD=	${WRKSRC}/BSD
-LICENSE_FILE_GPLv2=	${WRKSRC}/GPL
-LICENSE_FILE_LGPL21=	${WRKSRC}/LGPL
 
 LIB_DEPENDS=	mecab:${PORTSDIR}/japanese/mecab
 

Modified: head/japanese/p5-MeCab/distinfo
==============================================================================
--- head/japanese/p5-MeCab/distinfo	Sun Aug 11 05:20:29 2013	(r324569)
+++ head/japanese/p5-MeCab/distinfo	Sun Aug 11 05:21:05 2013	(r324570)
@@ -1,2 +1,2 @@
-SHA256 (mecab-perl-0.995.tar.gz) = 130e3492005b424a9a0a166925d34ddb4f01926ef261089fc1fc6c3496e51f6f
-SIZE (mecab-perl-0.995.tar.gz) = 49839
+SHA256 (mecab-perl-0.996.tar.gz) = 71fe5559c5bd2a13ea9929190a8f9f5ee4c63987108081bd7332ca1bbbb616c9
+SIZE (mecab-perl-0.996.tar.gz) = 49888
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2013-08-11 06:21:42 UTC
Author: tota
Date: Sun Aug 11 05:21:29 2013
New Revision: 324571
URL: http://svnweb.freebsd.org/changeset/ports/324571

Log:
  - Update to 0.996
  - Remove LICENSE_FILE for standard license
  
  PR:		ports/177694
  Submitted by:	Yasuhiro KIMURA <yasu_AT_utahime_DOT_org>
  Approved by:	Junji NAKANISHI (maintainer)

Modified:
  head/japanese/py-mecab/Makefile
  head/japanese/py-mecab/distinfo

Modified: head/japanese/py-mecab/Makefile
==============================================================================
--- head/japanese/py-mecab/Makefile	Sun Aug 11 05:21:05 2013	(r324570)
+++ head/japanese/py-mecab/Makefile	Sun Aug 11 05:21:29 2013	(r324571)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mecab
-PORTVERSION=	0.995
+PORTVERSION=	0.996
 CATEGORIES=	japanese python textproc
 MASTER_SITES=	GOOGLE_CODE
 DISTNAME=	${PORTNAME}-python-${PORTVERSION}
@@ -12,9 +12,6 @@ COMMENT=	Python bindings for MeCab
 
 LICENSE=	BSD GPLv2 LGPL21
 LICENSE_COMB=	dual
-LICENSE_FILE_BSD=	${WRKSRC}/BSD
-LICENSE_FILE_GPLv2=	${WRKSRC}/GPL
-LICENSE_FILE_LGPL21=	${WRKSRC}/LGPL
 
 BUILD_DEPENDS=	swig>=1.3:${PORTSDIR}/devel/swig13
 LIB_DEPENDS=	mecab:${PORTSDIR}/japanese/mecab

Modified: head/japanese/py-mecab/distinfo
==============================================================================
--- head/japanese/py-mecab/distinfo	Sun Aug 11 05:21:05 2013	(r324570)
+++ head/japanese/py-mecab/distinfo	Sun Aug 11 05:21:29 2013	(r324571)
@@ -1,2 +1,2 @@
-SHA256 (mecab-python-0.995.tar.gz) = 5babaa9e9d8025eadfe62770980f07b48e9e54107e64a80478b455568c45f5fd
-SIZE (mecab-python-0.995.tar.gz) = 62281
+SHA256 (mecab-python-0.996.tar.gz) = d305c30af9e781e70f7619a0b444ac1101f2faaf3922415a0d6c49da85a63511
+SIZE (mecab-python-0.996.tar.gz) = 62338
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2013-08-11 06:21:58 UTC
Author: tota
Date: Sun Aug 11 05:21:49 2013
New Revision: 324572
URL: http://svnweb.freebsd.org/changeset/ports/324572

Log:
  - Update to 0.996
  - Remove LICENSE_FILE for standard license
  
  PR:		ports/177694
  Submitted by:	Yasuhiro KIMURA <yasu_AT_utahime_DOT_org>

Modified:
  head/japanese/ruby-mecab/Makefile
  head/japanese/ruby-mecab/distinfo

Modified: head/japanese/ruby-mecab/Makefile
==============================================================================
--- head/japanese/ruby-mecab/Makefile	Sun Aug 11 05:21:29 2013	(r324571)
+++ head/japanese/ruby-mecab/Makefile	Sun Aug 11 05:21:49 2013	(r324572)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	mecab
-PORTVERSION=	0.995
+PORTVERSION=	0.996
 CATEGORIES=	japanese textproc ruby
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DISTNAME=	${PORTNAME}-ruby-${PORTVERSION}
@@ -12,9 +12,6 @@ COMMENT=	MeCab library module for Ruby
 
 LICENSE=	BSD GPLv2 LGPL21
 LICENSE_COMB=	dual
-LICENSE_FILE_BSD=	${WRKSRC}/BSD
-LICENSE_FILE_GPLv2=	${WRKSRC}/GPL
-LICENSE_FILE_LGPL21=	${WRKSRC}/LGPL
 
 LIB_DEPENDS=	mecab:${PORTSDIR}/japanese/mecab
 

Modified: head/japanese/ruby-mecab/distinfo
==============================================================================
--- head/japanese/ruby-mecab/distinfo	Sun Aug 11 05:21:29 2013	(r324571)
+++ head/japanese/ruby-mecab/distinfo	Sun Aug 11 05:21:49 2013	(r324572)
@@ -1,2 +1,2 @@
-SHA256 (mecab-ruby-0.995.tar.gz) = d55241f11ad676fe02421c67ad57f5805c1ef893d6b6b91d0209ac9cf0dfa7f0
-SIZE (mecab-ruby-0.995.tar.gz) = 48688
+SHA256 (mecab-ruby-0.996.tar.gz) = b75e9731e717cec1c261a27d06c4f7baa696cf2fd4e5e3158df5f8fd65107285
+SIZE (mecab-ruby-0.996.tar.gz) = 48723
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 TAKATSU Tomonari freebsd_committer 2013-08-11 06:31:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!